• Post Reply Bookmark Topic Watch Topic
  • New Topic
programming forums Java Mobile Certification Databases Caching Books Engineering Micro Controllers OS Languages Paradigms IDEs Build Tools Frameworks Application Servers Open Source This Site Careers Other all forums
this forum made possible by our volunteer staff, including ...
Marshals:
  • Campbell Ritchie
  • Ron McLeod
  • Paul Clapham
  • Bear Bibeault
  • Junilu Lacar
Sheriffs:
  • Jeanne Boyarsky
  • Tim Cooke
  • Henry Wong
Saloon Keepers:
  • Tim Moores
  • Stephan van Hulst
  • Tim Holloway
  • salvin francis
  • Frits Walraven
Bartenders:
  • Scott Selikoff
  • Piet Souris
  • Carey Brown

DataSource

 
Greenhorn
Posts: 1
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi, I'm just a newbie so please bear with me
I'm using WSAD 5.0 and DB2 v7.0 for a project. Here's the code I use to get a connection:
Context initialContext = new InitialContext();
dataSource = (DataSource) initialContext.lookup(dbname);
conn = dataSource.getConnection();
When I run the application and try to retrieve data from the database, this comes out:
Attempted to use a 4.0 DataSource from a version 2.3 (or higher) servlet. Invalid configuration.
does this mean that I have to use a v5.0 DataSource? Or have I just forgotten to configure something in the current datasource I'm using?
If anyone could enlighten me, I'd greatly appreciate it..
regards,
Carlo Tan
[ October 12, 2003: Message edited by: Carlo Tan ]
 
permaculture is largely about replacing oil with people. And one tiny ad:
Building a Better World in your Backyard by Paul Wheaton and Shawn Klassen-Koop
https://coderanch.com/wiki/718759/books/Building-World-Backyard-Paul-Wheaton
    Bookmark Topic Watch Topic
  • New Topic